﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="VB.aspx.vb" Inherits="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <style type="text/css">
        body { font-family: Arial; font-size: 10pt; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        Username:
        <input id="txtUsername" type="text" onkeyup="ClearMessage()" />
        <input id="btnCheck" type="button" value="Show Availability" onclick="CheckAvailability()" />
        <br />
        <span id="message"></span>
        <script type="text/javascript">
            function CheckAvailability() {
                var username = document.getElementById("txtUsername").value;
                var request;
                if (window.XMLHttpRequest) {
                    //New browsers.
                    request = new XMLHttpRequest();
                }
                else if (window.ActiveXObject) {
                    //Old IE Browsers.
                    request = new ActiveXObject("Microsoft.XMLHTTP");
                }
                if (request != null) {
                    var url = "VB.aspx/CheckUserName";
                    request.open("POST", url, false);
                    var sendStr = "{username: '" + username + "'}";
                    request.setRequestHeader("Content-Type", "application/json");
                    request.onreadystatechange = function () {
                        if (request.readyState == 4 && request.status == 200) {
                            var messages = document.getElementById("message");
                            if (JSON.parse(request.responseText).d) {
                                //Username available.
                                message.style.color = "green";
                                message.innerHTML = "Username is available";
                            }
                            else {
                                //Username not available.
                                message.style.color = "red";
                                message.innerHTML = "Username is NOT available";
                            }
                        }
                    };
                    request.send(sendStr);
                }
            }

            function ClearMessage() {
                document.getElementById("message").innerHTML = "";
            };
        </script>
    </form>
</body>
</html>
